%def_disable asm

%if_enabled asm
%set_verify_elf_method textrel=relaxed
%endif

Name: quake2forge
Version: 0.3.0
Release: alt4

Summary: Quake II from ID Software, quakeforge version
License: GPL
Group: Games/Arcade
Url: http://www.quakeforge.net/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: quake2-%version.tar.bz2
Source1: quake2.sh
Source2: quake2-16.png
Source3: quake2-32.png
Source4: quake2-48.png
Source5: quake2ctf-16.png
Source6: quake2ctf-32.png
Source7: quake2ctf-48.png
Source8: quake2.menu

Patch0: quake2forge-0.3.0-link-fixes.patch

Conflicts: quake2
Obsoletes: quake2 < 0.3.0-alt3
#Provides: quake2-engine

BuildPreReq: gcc-c++ imake libalsa-devel libao-devel libmesa-devel
BuildPreReq: libSDL-devel libXt-devel libXxf86dga-devel
BuildPreReq: libXxf86vm-devel linux-libc-headers xorg-cf-files

%description
Quake II is the classic first person shooter from id Software.  This package
contains only the game binaries, you will need to either install the
commercial data from the Quake II CD-ROM, or install some free data files
(which are available from id Software's FTP site).  This game currently
supports software rendering with X11, SDL or SVGAlib, and hardware accelerated
rendering with OpenGL (directly or with SDL).

%prep
%setup -q -n quake2-%version
%patch0 -p1
%__autoreconf

%build
#./bootstrap
%configure \
	--libdir=%_libdir/games \
	--datadir=%_gamesdatadir \
	--with-alsa \
	--with-ao \
	--disable-rpath \
	--disable-static \
	%{subst_enable asm} \
	--disable-warn
%make_build

%install
%make_install DESTDIR=%buildroot install

# move config to right place
%__mv %buildroot%_datadir/games/quake2/baseq2/config.cfg %buildroot%_libdir/games/quake2/baseq2/

%__mkdir %buildroot%_gamesbindir
%__mv %buildroot%_bindir/quake2 %buildroot%_libdir/games/quake2/quake2.x86
%__install -pD -m755 %SOURCE1 %buildroot%_gamesbindir/quake2
%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/quake2.png
%__install -pD -m644 %SOURCE5 %buildroot%_miconsdir/quake2ctf.png
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/quake2.png
%__install -pD -m644 %SOURCE6 %buildroot%_iconsdir/quake2ctf.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/quake2.png
%__install -pD -m644 %SOURCE7 %buildroot%_liconsdir/quake2ctf.png

%__install -pD -m644 %SOURCE8 %buildroot%_menudir/quake2

%__install -pD -m644 debian/quake2.6 %buildroot%_man6dir/quake2.6

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS HACKING NEWS README THANKS TODO docs/README.* docs/*.txt
%doc docs/ctf/*.html docs/ctf/*.gif docs/ctf/*.jpg
%_menudir/quake2
%_gamesbindir/quake2
%dir %_libdir/games/quake2/
%_libdir/games/quake2/quake2.x86
%_libdir/games/quake2/*.so
%exclude %_libdir/games/quake2/*.la
%_libdir/games/quake2/baseq2/config.cfg
%_libdir/games/quake2/baseq2/game.so
%exclude %_libdir/games/quake2/baseq2/game.la
%_libdir/games/quake2/ctf/game.so
%exclude %_libdir/games/quake2/ctf/game.la
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png
%_man6dir/*

%changelog
* Fri Oct 13 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.0-alt4
- disable additional optimisation flags

* Wed Oct 11 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.0-alt3
- take from orphaned
- rename to quake2forge
- disable asm optimisation
- disable -Werror (#10074)
- link libs with all libs they use (though they still use some symbols
  from main executable)

* Sat Sep 24 2005 Igor Zubkov <icesik@altlinux.ru> 0.3.0-alt2
- fix menu file (#6956)
- fix group in menu file
- update buildreq
- add support of libao
- add documentation and man

* Wed Mar 31 2003 Kachalov Anton <mouse@altlinux.ru> 0.3.0-alt1
- build for Sisyphus
